<?php

declare(strict_types=1);

namespace PpPhp\Core\Platform\Services\Contracts;

interface DescriptorInterface
{
    public function id(): string;

    public function type(): string;

    public function toArray(): array;
}
